Package com.xebialabs.xlrelease.utils

## Class Diff$

- java.lang.Object
- - com.xebialabs.xlrelease.utils.Diff$

- All Implemented Interfaces:
    `java.io.Serializable`

      public class Diff$
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Diff$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Diff$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<K,​A> Diff<K,​A>` | `apply​(scala.collection.immutable.Map<K,​A> before, scala.collection.immutable.Map<K,​A> after)` |
    `<K,​A> Diff<K,​A>` | `apply​(scala.collection.immutable.Map<K,​A> before, scala.collection.immutable.Map<K,​A> after, scala.Function2<A,​A,​java.lang.Object> areEqual)` |
    `<A> Diff<A,​A>` | `apply​(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after)` |
    `<K,​A> scala.Function2<A,​A,​java.lang.Object>` | `apply$default$3()` |
    `<K,​A> Diff<K,​A>` | `applyWithKeyMapping​(java.util.List<A> before, java.util.List<A> after, scala.Function1<A,​K> keyMapping)` |
    `<K,​A> Diff<K,​A>` | `applyWithKeyMapping​(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after, scala.Function1<A,​K> keyMapping)` |
    `<K,​A> Diff<K,​A>` | `applyWithKeyMappingAndComparator​(scala.collection.Iterable<A> before, scala.collection.Iterable<A> after, scala.Function1<A,​K> keyMapping, scala.Function2<A,​A,​java.lang.Object> areEqual)` |
    `<K,​A> scala.Option<scala.Tuple3<scala.collection.immutable.Map<K,​A>,​scala.collection.immutable.Map<K,​A>,​scala.Function2<A,​A,​java.lang.Object>>>` | `unapply​(Diff<K,​A> x$0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final Diff$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### Diff$

          public Diff$()

  - ### Method Detail

    - #### apply

          public <K,​A> Diff<K,​A> apply​(scala.collection.immutable.Map<K,​A> before,
                                                   scala.collection.immutable.Map<K,​A> after)

    - #### apply

          public <A> Diff<A,​A> apply​(scala.collection.Iterable<A> before,
                                           scala.collection.Iterable<A> after)

    - #### apply$default$3

          public <K,​A> scala.Function2<A,​A,​java.lang.Object> apply$default$3()

    - #### applyWithKeyMapping

          public <K,​A> Diff<K,​A> applyWithKeyMapping​(scala.collection.Iterable<A> before,
                                                                 scala.collection.Iterable<A> after,
                                                                 scala.Function1<A,​K> keyMapping)

    - #### applyWithKeyMapping

          public <K,​A> Diff<K,​A> applyWithKeyMapping​(java.util.List<A> before,
                                                                 java.util.List<A> after,
                                                                 scala.Function1<A,​K> keyMapping)

    - #### applyWithKeyMappingAndComparator

          public <K,​A> Diff<K,​A> applyWithKeyMappingAndComparator​(scala.collection.Iterable<A> before,
                                                                              scala.collection.Iterable<A> after,
                                                                              scala.Function1<A,​K> keyMapping,
                                                                              scala.Function2<A,​A,​java.lang.Object> areEqual)

    - #### apply

          public <K,​A> Diff<K,​A> apply​(scala.collection.immutable.Map<K,​A> before,
                                                   scala.collection.immutable.Map<K,​A> after,
                                                   scala.Function2<A,​A,​java.lang.Object> areEqual)

    - #### unapply

          public <K,​A> scala.Option<scala.Tuple3<scala.collection.immutable.Map<K,​A>,​scala.collection.immutable.Map<K,​A>,​scala.Function2<A,​A,​java.lang.Object>>> unapply​(Diff<K,​A> x$0)